Subject: Re: [ietf-dkim] Comments on draft-ietf-dkim-rfc4871-errata-00

From: Dave CROCKER <[email-masked]>
Date: Fri, 30 Jan 2009 20:46:19 -0600

Olivier MJ Crepin-Leblond wrote:
> I too was confused by the use of the word "opaque".

I think it is always reasonabel to ask about the use of a word one does not 
understand.

As John noted, it's a term that's common in computer science, referring to data 
that is not interpretable to readers who lack special knowledge of the data. 
Perhaps there should be a qualifier that says something like "opaque, like a Web 
cookie".

> which
> one of the definitions of opaque is the one used in the RFC?
> 
> Would the word "arbitrary" not be more suited for the meaning 
> researched?

Arbitrary is more indicative of the decision to encode, rather than the abilithy 
to decode.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Suresh Ramasubramanian <[email-masked]>
Date: Sun, 1 Feb 2009 20:55:49 +0530

A glossary then?  Terms from math, logic .. and well, opaque even to
WG participants.

I hope my understanding of the previous terms was correct?

> that is not interpretable to readers who lack special knowledge of the data.

email quoted again below

srs

Suresh Ramasubramanian to Michael, dcrocker, IETF
	
On Fri, Jan 30, 2009 at 10:19 PM, Michael Adkins
<[email-masked]> wrote:
> This article uses the term 'identifier' without offering a definition. It
> seems to use 'identifier' to mean the same thing as 'identity', and both
> those words only refer to the names of things, not actual things. Actual
> things are referred to as 'principals'. I suppose that could be clearer
> since two words that sounds similar are referring to the same concept, but I
> don't know whether 'principal' is intuitive enough or not.

A few concepts which seem to be drawn from other fields of study I guess?

Identifier is a pointer to an identity is how I understood it.

Identifier =  "Something that identifies or names".  Programming
concept, that .. http://en.wikipedia.org/wiki/Identifier

Identity = "An identity is an equality that remains true regardless of
the values of any variables that appear within it" from math - what
they denote by a triple bar (≡) rather than the double bar equal to
sign (=).  An identity might have several identifiers mapping to it, I
dare say?

Principal is a legal concept - someone who authorises an agent to act
on his behalf to create a legal relationship with a third party.  I
can see where a client who commissions an ESP to send email on their
behalf would be the principal. And the agent / executor would be the
d= responsible for actually sending out the email.

--srs

---

From: Hector Santos <[email-masked]>
Date: Sun, 01 Feb 2009 17:30:00 -0500

> Perhaps there should be a qualifier that says something like "opaque, like a Web 

It may be opaque to end users, but it is not opaque to the middle-ware 
software, verifiers and possible mail presentation software.   There 
is protocol consistency here that can be checked by the software with 
the 2822 information provided.

Please don't use "cookies" in describe this. Cookies does not have a 
positive reputations for privacy and security considerations.  You can 
  get lost with the semantics if its permanent vs session only cookie.
I just fine irony in trying to introduce technology to suppose to ease 
concerns regarding email abuse, would now have ideas that conflicts 
with that concept.  I recommend to avoid this and in the words of 
President Obama, "Don't listen to Limbaugh."

-- 
Sincerely

Hector Santos, CTO
http://www.santronics.com
http://santronics.blogspot.com